Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Unban Users in a Specified RTC Room

Unbans one or more users in the specified RTC room. Unbanned users can rejoin the room.

Request Method

DELETE: https://data center domain/v2/rtc/rooms/{room_id}/block-users

Signature Rules: All requests to RC server APIs require signature verification. See API Request Signature for details.

Path Parameters

The HTTP request path contains the following parameters:

Path ParameterTypeRequiredDescription
room_idStringYesRoom ID. Specify the ID of the room where users need to be unbanned.

Body Parameters

The HTTP request body contains a JSON object with the following structure:

Body ParameterTypeRequiredDescription
user_idsString[]YesArray of user IDs to be unbanned

Request Example

DELETE /v2/rtc/rooms/room001/block-users HTTP/1.1
Host: api.rong-api.com
RC-App-Key: xxxxxxxxxx
RC-Timestamp: 1408710653491
RC-Nonce: 14314
RC-Signature: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
Content-Type: application/json

{
"user_ids": [
"user_1",
"user_2"
]
}

Response

The HTTP response body contains a JSON object with the following structure:

  • code: Business status code in the HTTP response body. 10000 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 10000
}